%define __cmake_in_source_build 1
%bcond_with clang

Name: lxqt-menu-data
Version: 1.4.0
Release: 1
Source0: https://github.com/lxqt/lxqt-menu-data/releases/download/%{version}/%{name}-%{version}.tar.xz
Summary: Menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt
URL: https://github.com/lxqt/lxqt-menu-data
License: GPL
Group: System/Libraries
BuildRequires: cmake ninja-build
%if %{with clang}
BuildRequires: clang >= 5.0
%else
BuildRequires: gcc-c++
%endif
BuildRequires: lxqt-build-tools
BuildRequires: liblxqt-devel
BuildRequires: cmake(Qt5LinguistTools)
BuildArch: noarch

%description
Menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt

%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers etc.) for %{name}.

Menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt

%prep
%autosetup -p1

%{__mkdir} -p %{_target_platform}

%build
%if %{with clang}
export CC=clang
export CXX=clang++
%endif

pushd %{_target_platform}
%{cmake_lxqt} \
    -DPULL_TRANSLATIONS=NO \
    ..

%cmake_build
popd

%install
pushd %{_target_platform}
%cmake_install
popd

%files
%{_sysconfdir}/xdg/menus/*
%{_datadir}/desktop-directories

%files devel
%{_datadir}/cmake/*

%changelog
* Mon Nov  6 2023 Raven <raven@sysadmins.ws> - 1.4.0-1
- initial build