%define __cmake_in_source_build 1
%bcond_with clang

Name:           qtxdg-tools
Summary:        User tools for libqtxdg
Version:        3.12.0
Release:        1%{?dist}
License:        LGPLv2+
URL:            http://lxqt.org
Source0:        https://github.com/lxqt/libqtxdg/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
%if %{with clang}
BuildRequires: clang >= 5.0
%else
BuildRequires: gcc-c++
%endif
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  lxqt-build-tools >= 0.13.0
BuildRequires:  libqtxdg-devel >= 3.12.0

%description
%{summary}.

%package devel
Summary:        Qt - development files for qtxdg-tools
Requires:       %{name}%{?_isa}

%description devel
%{summary}.


%prep
%autosetup -p1
%{__mkdir} -p %{_target_platform}


%build
%if %{with clang}
export CC=clang
export CXX=clang++
%endif

cd %{_target_platform}

%cmake -DPULL_TRANSLATIONS=NO ../

%cmake_build

%install
cd %{_target_platform}
%cmake_install

%ldconfig_scriptlets

%files
%license LICENSE
%{_bindir}/qtxdg-mat

%files devel
%{_datadir}/cmake/%{name}/%{name}-*.cmake
%doc README.md CHANGELOG

%changelog
* Mon Nov  6 2023 Raven <raven@sysadmins.ws> - 3.12.0-1
- update to 3.12.0
- clang support

* Thu May 18 2023 Raven <raven@sysadmins.ws> - 3.11.0-1
- update to 3.11.0

* Fri Nov 11 2022 Raven <raven@sysadmins.ws> - 3.10.0-1
- initial build
