
Summary:	Library for creating OpenSMTPD filters
Name:		libopensmtpd
Version:	0.7
Release:	1%{?dist}

License:	BSD
URL:		https://imperialat.at/dev/%{name}

Source0:	https://distfiles.sigtrap.nl/%{name}-%{version}.tar.gz

%ifarch x86_64 aarch64
Patch0: libopensmtpd-fix-libdir.patch 
%endif

BuildRequires:	gcc
BuildRequires:	automake
%if 0%{?rhel} >= 7
BuildRequires:	libevent-devel
%else
BuildRequires:	libevent2-devel
%endif

Requires: opensmtpd

%description
This library provides an event-based interface for writing
OpenSMTPD filters. It is used, for example, by the dkimsign filter
provided by the filter-dkimsign package.

%package devel
Summary:	Header files for %{name}
Requires:	%{name}

%description devel
%{summary}.


%prep
%autosetup -p1

%build
%make_build -f Makefile.gnu

%install
%make_install -f Makefile.gnu


%files
%if 0%{?rhel} >= 8
%license LICENSE
%else
%doc LICENSE
%endif
%{_libdir}/libopensmtpd.so.*
%{_mandir}/man3/osmtpd_run.3*

%files devel
%{_includedir}/opensmtpd.h
%{_libdir}/%{name}.so


%changelog
* Wed Oct 4 2023 Raven <raven@sysadmins.ws> - 0.7-1
- Initial release
