%global real_name filter-dkimsign

Summary:	OpenSMTPD filter for signing mail with DKIM
Name:		opensmtpd-%{real_name}
Version:	0.6
Release:	1%{?dist}

License:	BSD
URL:		http://imperialat.at/dev/%{real_name}

Source0:	https://imperialat.at/releases/%{real_name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	automake
BuildRequires:	mandoc
BuildRequires:	pkgconfig(openssl) >= 3.0
BuildRequires:	libopensmtpd-devel
BuildRequires:	libbsd-devel


Requires: opensmtpd

%description
This OpenSMTPD filter signs emails with a DKIM signature. It supports
the rsa and ed25519 signing algorithms.

%prep
%autosetup -p1 -n %{real_name}-%{version}

%build
%if 0%{?rhel} <= 8
export CFLAGS="-I%{_includedir}/openssl3 $CFLAGS"
%endif
export LDFLAGS="-L%{_libdir} -lbsd $LDFLAGS"

%make_build -f Makefile.gnu

%install
%make_install -f Makefile.gnu


%files
%if 0%{?rhel} >= 8
%license LICENSE
%else
%doc LICENSE
%endif
%{_libexecdir}/opensmtpd/%{real_name}
%{_mandir}/man8/%{real_name}.8*


%changelog
* Wed Oct 4 2023 Raven <raven@sysadmins.ws> - 0.6-1
- Initial release
