## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Sphinx-generated HTML documentation is not suitable for packaging; see
# RHBZ#2006555 for discussion. Additionally, upstream uses the furo theme,
# which we would have to patch; see RHBZ#1910798.
#
# We could, in theory, generate PDF documentation as a substitute, but this
# would still require it requires python3dist(myst-parser), which is not
# currently packaged–and we are not willing to package it solely for this
# purpose.

Name:           python-editables
Version:        0.5
Release:        %autorelease
Summary:        Editable installations

License:        MIT
URL:            https://github.com/pfmoore/editables
# PyPI source distributions lack tests; use the GitHub archive
Source0:        %{url}/archive/%{version}/editables-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel

# Most of the dependencies, and all of the pytest options, in tox.ini are for
# coverage analysis and for installation with pip/virtualenv. Rather than
# working around all of these, it is simpler not to use tox for dependency
# generation or testing.
BuildRequires:  python%{python3_pkgversion}dist(pytest)

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}


%package -n python%{python3_pkgversion}-editables
Summary:        %{summary}

%description -n python%{python3_pkgversion}-editables %{common_description}


%prep
%autosetup -n editables-%{version}

%if 0%{?rhel} > 8
%generate_buildrequires
%pyproject_buildrequires
%endif

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files editables


%check
%pytest


%files -n python%{python3_pkgversion}-editables -f %{pyproject_files}
# pyproject-rpm-macros handles LICENSE.txt; verify with “rpm -qL -p …”
%doc CHANGELOG.md
%doc README.md


%changelog
* Mon Jan  8 2024 Raven <raven@sysadmins.ws> 0.5-1
- Update to 0.5

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.3-2
- Rebuilt for Python 3.11

* Mon Apr 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.3-1
- Update to 0.3 (close RHBZ#2073823)

* Thu Feb 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.2.0-1
- Initial package (close RHBZ#2050876)
