#
# spec file for package rar
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

%global debug_package %{nil}
%global __debug_install_post /bin/true

Name:           rar
Version:        5.9.1
Release:        1%{?dist}
Summary:        Compression and decompression program rar
License:        NonFree
Group:          Productivity/Archiving/Compression
URL:            https://www.rarsoft.com
Source0:        https://www.rarlab.com/rar/rarlinux-%{version}.tar.gz
Source1:        https://www.rarlab.com/rar/rarlinux-x64-%{version}.tar.gz
ExclusiveArch:  %{ix86} x86_64
Provides:       unrar = %{version}-%{release}

%description
Compression and decompression program.

%prep
%setup -q -c -T
%ifarch x86_64
  tar -xaf %{SOURCE1}
%else
  tar -xaf %{SOURCE0}
%endif

%build

%install
cd rar
mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_sysconfdir}}
install -m 0755 rar %{buildroot}%{_bindir}/rar
install -m 0755 unrar %{buildroot}%{_bindir}/unrar
install -m 0755 default.sfx %{buildroot}%{_libdir}
install -m 0644 rarfiles.lst %{buildroot}/%{_sysconfdir}

%files
%license rar/license.txt
%doc rar/acknow.txt rar/rar.txt rar/readme.txt rar/whatsnew.txt rar/*.htm
%{_bindir}/*
%{_libdir}/default.sfx
%config(noreplace) %{_sysconfdir}/rarfiles.lst

%changelog
* Wed Aug 12 2020 Raven <raven@sysadmins.ws> - 5.9.1-1
- update to 5.9.1

* Thu May  9 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 5.7.1
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
- Spec cleanup
* Fri Feb 22 2019 zaitor@opensuse.org
- Update to version 5.7.b2:
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
* Tue Oct  9 2018 aloisio@gmx.com
- Update to version 5.6.1:
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
* Sat Aug 26 2017 zaitor@opensuse.org
- Update to version 5.5.0:
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
* Wed Sep 14 2016 idonmez@suse.com
- Update to version 5.4.0
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
* Tue Nov 24 2015 idonmez@suse.com
- Drop rar2 support.
* Tue Nov 24 2015 idonmez@suse.com
- Update to version 5.3.0
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
* Sun Apr 19 2015 zaitor@opensuse.org
- Update to version 5.2.1:
  + Please visit http://www.rarsoft.com/rarnew.htm for changes.
* Fri Jun 15 2012 lazy.kent@opensuse.org
- Update to 4.2.0.
  * Changes in RAR compression:
    a) Multithreaded RAR compression is enabled by default. You can
    disable it with -mt1 switch.
    Comparing to RAR 4.11, some speed gain is possible in single
    processor mode as well.
    Speed gain depends on data type and average file size.
    Several cores are utilized more efficiently when compressing
    large files.
    b) We had to increase memory requirements to achieve higher
    compression speed. General RAR compression algorithm
    allocates about 120 MB comparing to 40 MB in RAR 4.11.
    c) RAR text compression algorithm cannot utilize several CPU
    cores efficiently, so its performance in multiprocessor
    environment is much lower than for general algorithm. Also
    its decompression speed is much lower than in general
    algorithm regardless of CPU number. So we decided to disable
    the text algorithm by default.
    If you need maximum possible compression ratio for plain
    text data regardless of speed, you can enable the text
    compression with -mct switch.
  * RAR general decompression algorithm speed is slightly improved
    though not to same extent as RAR compression. RAR
    decompression is not able to use several processor cores, so
    its performance does not depend on a number of cores.
* Thu Mar  1 2012 lazy.kent@opensuse.org
- Update to 4.1.1.
  * Bugs fixed:
    a) if -x*\somedir\* exclusion mask was specified when archiving
    and if name of current directory contained 'somedir', RAR
    could exclude all files and stop creating an archive.
* Wed Jan 18 2012 lazy.kent@opensuse.org
- Update to 4.1.0.
- Don't replace rarfiles.lst.
- Split off rpm changelog.
- Clean up spec.
* Mon May 30 2011 Manfred.Tremmel@iiv.de
- update to 4.0.1
* Sat Mar 19 2011 Manfred.Tremmel@iiv.de
- update to 4.0.0
* Fri Mar 19 2010 Manfred.Tremmel@iiv.de
- update to 3.9.3
* Fri Feb 19 2010 Manfred.Tremmel@iiv.de
- update to 3.9.2
* Tue Dec 15 2009 Manfred.Tremmel@iiv.de
- update to 3.9.1
* Fri Aug 21 2009 Manfred.Tremmel@iiv.de
- update to 3.9.0
* Tue Oct  2 2007 Manfred.Tremmel@iiv.de
- update to 3.8.0 now also with x86_64 version
* Fri Sep 21 2007 Manfred.Tremmel@iiv.de
- update to 3.7.1
* Tue May 29 2007 Manfred.Tremmel@iiv.de
- update to 3.7.0
* Thu Aug 17 2006 Manfred.Tremmel@iiv.de
- update to 3.6.0
* Sun Nov  6 2005 Manfred.Tremmel@iiv.de
- added a lot of usefull changes from Andreas Hanke
- some cleanups in the spec-file
* Tue Oct 11 2005 Manfred.Tremmel@iiv.de
- update to 3.5.1
* Tue Aug  9 2005 Manfred.Tremmel@iiv.de
- update to 3.5.0
* Thu Sep 16 2004 Manfred.Tremmel@iiv.de
- update to 3.4.0
* Mon Jan 26 2004 Manfred.Tremmel@iiv.de
- update to 3.3.0
* Sun Sep  7 2003 Manfred.Tremmel@iiv.de
- now included 3.2.0 and 2.7.1
* Sat Feb 22 2003 Manfred.Tremmel@iiv.de
- downgrade to 2.7.1
* Wed Feb 19 2003 Manfred.Tremmel@iiv.de
- first release
